Subject: Re: bug#61462: Add support for file capabilities(7)

From: Ludovic Courtès <[email-masked]>
Date: Tue, 08 Aug 2023 17:40:18 +0200

Hey!

Vagrant Cascadian <[email-masked]> skribis:

> Oh, I noticed on reconfiguring back to a system without the patches to
> support /run/privileged configurations ... the /run/privileged directory
> is still present, with all those files sitting there in their previous
> state.
>
> This is why I think at least by default, many other distros implement
> /run as a tmpfs or similar, so that it at least gets thrown out at
> reboot. Though this is obviously a deeper problem than just this patch
> series... I will file a separate bug about that.

We could try to make that change: /run as tmpfs, or wiped by
‘cleanup-service-type’.

Ludo’.